﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EM_SERIES_Config_Software
{
    public partial class MsgBoxWaiting : Form
    {
        public Action Worker { get; set; }
        public MsgBoxWaiting(Action worker)
        {
            InitializeComponent();
            if(worker == null)
                throw new ArgumentNullException();
                Worker = worker;
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            Task.Factory.StartNew(Worker).ContinueWith(t => { this.Close(); }, TaskScheduler.FromCurrentSynchronizationContext());
        }
    }
}
